package org.cocos2dx.mtgad;

import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;

/**
 * Created by m on 2018/1/6.
 */

public class MTGAdUtility {
    private static boolean mintegralSDKInitialized = false;

    public static boolean isSDKInitialized(){

        return mintegralSDKInitialized;
    }

    public static void sdkInitialized(){

        setChannel("Y+H6DFttYrPQYcIF+F2F+F5/Hv==");
        mintegralSDKInitialized = true;
    }

    public static void setChannel(String channel){
        try {
            Class clazz = Class.forName("com.mintegral.msdk.base.common.net.Aa");
            invokeStaticMethod(clazz,"b",new Class[]{String.class},new Object[]{channel});
        } catch (ClassNotFoundException e) {
            e.printStackTrace();
        }
    }

    public static Object invokeStaticMethod(Class<?> objClass, String methodName,
                                            Class<?>[] pareTyple, Object[] pareVaules ) {
        try {
            Method method = objClass.getDeclaredMethod(methodName, pareTyple);
            method.setAccessible(true);
            return method.invoke(null, pareVaules);
        }catch (IllegalAccessException e) {
            e.printStackTrace();
        }catch (NoSuchMethodException e) {
            e.printStackTrace();
        } catch (InvocationTargetException e) {
            e.printStackTrace();
        }
        return null;
    }
}
